OtherCertID (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.ess

## Class OtherCertID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ess.OtherCertID

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OtherCertID
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherCertID(AlgorithmIdentifier algId, byte[] digest)`
    `OtherCertID(AlgorithmIdentifier algId, byte[] digest, IssuerSerial issuerSerial)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmIdentifier` | `getAlgorithmHash()`
    `byte[]` | `getCertHash()`
    `static OtherCertID` | `getInstance(java.lang.Object o)`
    `IssuerSerial` | `getIssuerSerial()`
    `ASN1Primitive` | `toASN1Primitive()` OtherCertID ::= SEQUENCE { otherCertHash OtherHash, issuerSerial IssuerSerial OPTIONAL } OtherHash ::= CHOICE { sha1Hash OCTET STRING, otherHash OtherHashAlgAndValue } OtherHashAlgAndValue ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, hashValue OCTET STRING }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherCertID

          public OtherCertID(AlgorithmIdentifier algId,
                     byte[] digest)

    - #### OtherCertID

          public OtherCertID(AlgorithmIdentifier algId,
                     byte[] digest,
                     IssuerSerial issuerSerial)

  - ### Method Detail

    - #### getInstance

          public static OtherCertID getInstance(java.lang.Object o)

    - #### getAlgorithmHash

          public AlgorithmIdentifier getAlgorithmHash()

    - #### getCertHash

          public byte[] getCertHash()

    - #### getIssuerSerial

          public IssuerSerial getIssuerSerial()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           OtherCertID ::= SEQUENCE {
               otherCertHash    OtherHash,
               issuerSerial     IssuerSerial OPTIONAL }

           OtherHash ::= CHOICE {
               sha1Hash     OCTET STRING,
               otherHash    OtherHashAlgAndValue }

           OtherHashAlgAndValue ::= SEQUENCE {
               hashAlgorithm    AlgorithmIdentifier,
               hashValue        OCTET STRING }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.